Bug 1491387 - HTML5 Remote Console: CTRL+ALT+DEL button Error: "ReferenceError: sc is not defined"
Summary: HTML5 Remote Console: CTRL+ALT+DEL button Error: "ReferenceError: sc is not d...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: GA
: 5.10.0
Assignee: Brian McLaughlin
QA Contact: Kedar Kulkarni
URL:
Whiteboard: ui:html5:console
Depends On:
Blocks: 1571964 1571965
TreeView+ depends on / blocked
 
Reported: 2017-09-13 15:49 UTC by Kedar Kulkarni
Modified: 2019-02-07 23:02 UTC (History)
6 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1571964 1571965 (view as bug list)
Environment:
Last Closed: 2019-02-07 23:02:46 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:
kkulkarn: automate_bug+


Attachments (Terms of Use)
sc_not_defined (41.57 KB, image/png)
2017-09-13 15:49 UTC, Kedar Kulkarni
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3626711 None None None 2018-09-27 00:23:01 UTC
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:02:54 UTC

Description Kedar Kulkarni 2017-09-13 15:49:37 UTC
Created attachment 1325512 [details]
sc_not_defined

Description of problem:
CTRL+ALT+DEL Button in HTML5 Spice Remote Console for RHV based VMs does not work with error "ReferenceError: sc is not defined" (see image attached)

Version-Release number of selected component (if applicable):
5.8.2.0

How reproducible:
Believe 100%

Steps to Reproduce:
1.Login to CFME appliance, add a RHV Provider 
2.Navigate to Compute -> Infrastructure -> Virtual Machine, click on any running virtual machine.
3.Click Access-> VM Console.
4. Allow pop-up window, console opens. 
5. Click 'ctrl+alt+del' button at bottom right corner - has a 'Keyboard' icon on it(button next to ToggleFullScreen Button)


Actual results:
Does not work.

Expected results:
Reboot VM or log out VM, depends on configuration of VM.

Additional info:
Bumping to High severity since this will block users who want to use WebMKS Remote Console with Windows OS based VMs. Since you need CTRL+ALT+DEL key combination to unlock the locked Windows VMs.

Comment 3 CFME Bot 2018-02-15 15:04:10 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/ced6cf896248728464309d09d129969eb095d7be

commit ced6cf896248728464309d09d129969eb095d7be
Author:     Brian McLaughlin <bmclaugh@redhat.com>
AuthorDate: Tue Jan 30 09:43:36 2018 -0500
Commit:     Brian McLaughlin <bmclaugh@redhat.com>
CommitDate: Tue Jan 30 09:45:37 2018 -0500

    Fix CTRL-ALT-DEL button on Spice consoles
    
    Appears that the current Spice JS library requires polluting the global namespace for this feature to work.
    https://github.com/himdel/spice-html5-bower/blob/master/spiceHTML5/TODO#L28
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1491387

 app/assets/javascripts/remote_consoles/spice.js | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 4 CFME Bot 2018-02-15 15:04:15 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/cb7af682865e579777574263b28ac695cb395dd1

commit cb7af682865e579777574263b28ac695cb395dd1
Author:     Brian McLaughlin <bmclaugh@redhat.com>
AuthorDate: Wed Jan 31 10:19:24 2018 -0500
Commit:     Brian McLaughlin <bmclaugh@redhat.com>
CommitDate: Thu Feb 1 13:26:20 2018 -0500

    Pass SpiceMainConn instance to sendCtrlAltDel call
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1491387

 app/assets/javascripts/remote_consoles/spice.js | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

Comment 5 CFME Bot 2018-02-15 15:04:22 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/64755ccff2e3e2242cd6bbb0768d067f0c02cdce

commit 64755ccff2e3e2242cd6bbb0768d067f0c02cdce
Author:     Brian McLaughlin <bmclaugh@redhat.com>
AuthorDate: Fri Feb 9 16:05:50 2018 -0500
Commit:     Brian McLaughlin <bmclaugh@redhat.com>
CommitDate: Fri Feb 9 16:05:50 2018 -0500

    Update dependency for spice-html5-bower to 1.7.2
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1491387

 bower.json | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 6 CFME Bot 2018-02-15 15:04:36 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/e5b6a09736d4e9041a0ce785a0a631b2f3a8cfd0

commit e5b6a09736d4e9041a0ce785a0a631b2f3a8cfd0
Author:     Brian McLaughlin <bmclaugh@redhat.com>
AuthorDate: Fri Feb 9 16:30:48 2018 -0500
Commit:     Brian McLaughlin <bmclaugh@redhat.com>
CommitDate: Fri Feb 9 16:30:48 2018 -0500

    Remove unused code
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1491387

 app/assets/javascripts/remote_consoles/spice.js | 2 --
 1 file changed, 2 deletions(-)

Comment 9 Kedar Kulkarni 2018-07-02 16:28:01 UTC
on 5.10.0.2 I was able to click "CTRL+ALT+DEL" button icon in HTML5 console and that reboot my VM which was a desired operation.Firefox Version 59.0.2(64-bit) with Fedora 27

Comment 10 errata-xmlrpc 2019-02-07 23:02:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.